import { OnChanges, OnInit } from '@angular/core';
import { AttributeBase } from './attribute-base';
import { FormGroup } from '@angular/forms';
import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AttributeComponent implements OnInit, OnChanges {
    attributeControl: AttributeBase;
    formGroup: FormGroup;
    readonly: boolean;
    isSmallSize: boolean;
    noErrorMsg: boolean;
    change: EventEmitter<any>;
    private searchHelpComponent;
    localDatetime: Date;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    onDateChange(newDate: Date): void;
    get invalid(): boolean;
    get errorMessage(): any;
    get isReadonly(): boolean;
    onKeyup(attributeName: string): void;
    onSearchHelp(attributeControl: AttributeBase): void;
    onChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AttributeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AttributeComponent, "dk-app-attribute", never, { "attributeControl": "attributeControl"; "formGroup": "formGroup"; "readonly": "readonly"; "isSmallSize": "isSmallSize"; "noErrorMsg": "noErrorMsg"; }, { "change": "change"; }, never, never>;
}
//# sourceMappingURL=attribute.component.d.ts.map