/**
 * Convert the date object to a string in format "yyyy-MM-ddThh:mm:ss".
 */
import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class DatetimeDirective {
    set localDatetime(d: Date);
    dateChange: EventEmitter<Date>;
    localString: string;
    constructor();
    private toLocalDateString;
    onDateChange(value: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatetimeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DatetimeDirective, "input[type=datetime-local]", never, { "localDatetime": "localDatetime"; }, { "dateChange": "dateChange"; }, never>;
}
//# sourceMappingURL=datetime.directive.d.ts.map